/* Displays a list of features for all the software installed on a computer using Windows Installer. */
strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")
colFeatures = objWMIService~ExecQuery("Select * from Win32_SoftwareFeature")
DO objFeature OVER colfeatures
	SAY "Accesses:" objFeature~Accesses
	SAY "Attributes:" objFeature~Attributes
	SAY "Caption:" objFeature~Caption
	SAY "Description:" objFeature~Description
	SAY "Identifying Number:" objFeature~IdentifyingNumber
	SAY "Install Date:" objFeature~InstallDate
	SAY "Install State:" objFeature~InstallState
	SAY "Last Use:" objFeature~LastUse
	SAY "Name:" objFeature~Name
	SAY "Product Name:" objFeature~ProductName
	SAY "Vendor:" objFeature~Vendor
	SAY "Version:" objFeature~Version
	SAY
END